package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.Route;

public interface RouteService {
	
	BocloudResult<GridBean<Route>> list(Pager pager);

	BocloudResult<Route> create(Route route, RequestContext context);

	BocloudResult<String> remove(Long id, RequestContext context);

	BocloudResult<Route> modify(Route route, RequestContext context);
	
}
